Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
Installing Groundhog
Results 1 to 10 of 10

Thread: Installing Groundhog

  1. #1
    mugs
    Guest

    Installing Groundhog

    I am trying to install "groundhog", which is supposed to be a kids game. It isnt really that big of a deal and it probably sucks ,but I just want to get it installed, because I cant. I have gtk2 and glib installed, but I keep getting this message when I try to run ./configure:

    checking for GLIB - version >= 2.0.0... no
    *** Could not run GLIB test program, checking why...
    *** The test program failed to compile or link. See the file config.log for the
    *** exact error that occured. This usually means GLIB was incorrectly installed
    *** or that you have moved GLIB since it was installed. In the latter case, you
    *** may want to edit the pkg-config script: /usr/local/bin/pkg-config
    configure: error: Test for GLIB failed. See the file 'INSTALL' for help.
    mugs@linux:~/Desktop/ghog/groundhog-1.4>

    Any suggestions would be most appreciated!

  2. #2

    Re:Installing Groundhog

    chances are glib is in an obscure place.
    what distro?
    if you can find where the file is (possibly glib.so.1 - use locate) then add the path to the folder in /etc/ld.so.conf (eg /usr/local/lib) and run /sbin/ldconfig
    then do a ./configure again
    whatdoyougetwhenyoumultiplysixbynine??

  3. #3
    mugs
    Guest

    Re:Installing Groundhog

    thanks for the help. I am using Suse 8.0. I will try what you suggest, I havent done anything like that yet.

  4. #4
    mugs
    Guest

    Re:Installing Groundhog

    Alastair, I found glib to be in usr/lib/glib and I added that line to ld.so.conf. However I am not sure how to actually run ldconfig. So, I am still unable to compile this program. The message says to check pkgconfig, but I cant edit that file, as it is an executable. Thanks for all the help so far, please let me know how to run ldconfig. Thanks!

  5. #5

    Re:Installing Groundhog

    just run it, its in /sbin
    you will need to be root
    whatdoyougetwhenyoumultiplysixbynine??

  6. #6
    mugs
    Guest

    Re:Installing Groundhog

    I signed in as root, ran ldconfig (clicked on it--nothing much seemed to happen), but I still cant get this installed. Same message, I guess

    Could not run GLIB test program, checking why...
    *** The test program failed to compile or link. See the file config.log for the
    *** exact error that occured. This usually means GLIB was incorrectly installed
    *** or that you have moved GLIB since it was installed. In the latter case, you
    *** may want to edit the pkg-config script: /usr/bin/pkg-config
    configure: error: Test for GLIB failed. See the file 'INSTALL' for help.
    linux:/home/mugs/Desktop/ghog/groundhog-1.4 #

    I appreciate your time!

  7. #7

    Re:Installing Groundhog

    is /usr/bin/pkg-config a text file?
    post it here
    whatdoyougetwhenyoumultiplysixbynine??

  8. #8
    mugs
    Guest

    Re:Installing Groundhog

    I cannot find a pkg-config text file, just some executables! ???

  9. #9

    Re:Installing Groundhog

    i think it is a bash script, with the x attribute set, which is why it looks like an exectuable file, you should be able to open it in any text editor
    whatdoyougetwhenyoumultiplysixbynine??

  10. #10
    mugs
    Guest

    Re:Installing Groundhog

    I tried in several different editors, but all I could get was a bunch of garbage!

Similar Threads

  1. installing ftp
    By kwaslee in forum Suse
    Replies: 1
    Last Post: 02-27-2008, 09:53 AM
  2. Installing GCL on FC8
    By omidkamangar in forum Redhat / Fedora
    Replies: 1
    Last Post: 12-21-2007, 12:09 AM
  3. Need help installing app.
    By Dswissmiss in forum Linux - Software, Applications & Programming
    Replies: 1
    Last Post: 03-04-2003, 03:14 PM
  4. Installing GTK with apt-get
    By gmoreno in forum Linux - Software, Applications & Programming
    Replies: 2
    Last Post: 03-05-2002, 03:07 PM
  5. Installing with tar
    By papanohair in forum Linux - General Topics
    Replies: 11
    Last Post: 01-05-2002, 11:57 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •